chrome.app.runtime.onLaunched.addListener(function() {
    dbApi.indexedDB.open(function() {dbApi.indexedDB.logMessage("App started", "App Start")});
    var options = {
        'id': 'Hypersign',
        'bounds': {
            'width': 1920,
            'height': 1080
        },
        'state': 'fullscreen',
        'resizable': false,
        'alwaysOnTop': true,
        'focused': true
    };
    chrome.app.window.create('pairMe.html', (options));
});

chrome.power.requestKeepAwake("system");
chrome.power.requestKeepAwake("display");

//Moved to main.js
// if the device goes idle then simulate a key press
chrome.idle.onStateChanged.addListener(function(idleState) {
    if(idleState == "idle") {
        // press keys to wake it up
        var e = jQuery.Event("keydown");
        e.which = 32; // # Some key code value
        $(document).trigger(e);
    }
});
