$(window).load(function() {
    getAllLogEntries();
    $("#refreshBtn").click(function() {
        getAllLogEntries();
    });
    $("#filterBtn").click(function() {
        getAllLogEntries();
    });
    $("#closeBtn").click(function() {
        chrome.app.window.current().close();
    });

});

var entriesTable;
$(document).ready(function() {
    entriesTable = $("#entriesTable").DataTable({
        "order": [ 0, 'desc' ]
    });
    $("#dateFrom").datetimepicker({locale: "en"});
    $("#dateTo").datetimepicker({locale: "en"});
});

function getAllLogEntries() {
    chrome.runtime.getBackgroundPage(function (bgPage) {
        bgPage.dbApi.indexedDB.getAllLogEntries(entriesTable, $("#dateFrom").val(), $("#dateTo").val(), $("#type").val());
    });
}