chrome.runtime.onInstalled.addListener(function() {
    // When the app gets installed, set up the context menus
    chrome.contextMenus.create({
        title: 'Run Self Test',
        id: 'selfTest',
        contexts: [ 'all' ]
    });

    chrome.contextMenus.create({
        title: 'View Log',
        id: 'viewLog',
        contexts: [ 'all' ]
    });
});

chrome.contextMenus.onClicked.addListener(function(itemData) {
    if (itemData.menuItemId == "selfTest") {
        chrome.app.window.create('selfTest.html', {state: 'fullscreen'});
    } else if (itemData.menuItemId == "viewLog") {
        chrome.app.window.create('logViewer.html', {state: 'fullscreen'});
    }
});
